Summary:	chkrootkit - locally checks for signs of a rootkit
Summary(pl):	chkrootkit - narzdzie do lokalnego szukania oznak rootkitw
Name:		chkrootkit
Version:	0.40
Release:	1
License:	AMS (BSD like; look at COPYRIGHT)
Group:		Applications/Networking
Source0:	ftp://sunsite.icm.edu.pl/pub/unix/security/chkrootkit/%{name}-%{version}.tar.gz
Source1:	%{name}-check
Source2:	%{name}.sysconfig
Patch0:		%{name}-CC.patch
Patch1:		%{name}-nostrip.patch
Patch2:		%{name}-names.patch
Patch3:		%{name}-wtmp.patch
URL:		http://www.chkrootkit.org/
BuildRequires:	glibc-static
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Requires:	binutils

%description
Chkrootkit is a toolkit to locally check for signs of a rootkit.
 - chkrootkit: a shell script that checks system binaries for rootkit
   modification. (If you can't trust rpm -Va)
 - ifpromisc: checks if the network interface is in promiscuous mode.
   (If you can't trust netstat)
 - chklastlog: checks for lastlog deletions.
 - chkwtmp: checks for wtmp deletions.
 - check_wtmpx: checks for wtmpx deletions. (Solaris only)
 - chkproc: checks for signs of LKM trojans. (kernel modules)
 - strings: quick and dirty strings replacement.

%description -l pl
Chkrootkit to zestaw narzdzi do lokalnego sprawdzania oznak uycia
rootkitw.
 - chkrootkit: skrypt powoki sprawdzajcy binarne pliki systemowe na
   obecno modyfikacji typowych dla rootkitw (jeli nie mona zaufa
   rpm -Va)
 - ifpromisc: sprawdza czy interfejs sieciowy jest w trybie promiscuous
   (gdy nie mona zaufa netstat)
 - chklastlog: sprawdza czy logi nie byy kasowane
 - chkwtmp: sprawdza kasowanie wtmpx
 - check_wtmpx: sprawdza kasowanie w wtmpx deletions (tylko Solaris)
 - chkproc: szuka oznak trojanw LKM (moduy jdra)
 - strings: szybko i brzydko napisany zamiennik programu strings.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
CC=%{__cc}
export CC
%{__make} sense

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},/etc/{sysconfig,cron.weekly}}

for x in check_wtmpx chkdirs chklastlog chkproc chkwtmp ifpromisc strings; do
	install $x $RPM_BUILD_ROOT/%{_bindir}/%{name}-$x
done

install chkrootkit $RPM_BUILD_ROOT/%{_bindir}

install %{SOURCE1}	$RPM_BUILD_ROOT/etc/cron.weekly/
install %{SOURCE2}	$RPM_BUILD_ROOT/etc/sysconfig/chkrootkit

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYRIGHT README README.chklastlog README.chkwtmp
%attr(750,root,root) /etc/cron.weekly/chkrootkit-check
%attr(640,root,root) %config(noreplace) %verify(not mtime size md5) /etc/sysconfig/chkrootkit
%attr(755,root,root) %{_bindir}/*
